Cancel a queued job
curl --request POST \
--url https://api.together.ai/v1/queue/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"request_id": "<string>"
}
'import requests
url = "https://api.together.ai/v1/queue/cancel"
payload = {
"model": "<string>",
"request_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', request_id: '<string>'})
};
fetch('https://api.together.ai/v1/queue/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}Queue
Cancel a queued job
Cancel a pending job. Only jobs in pending status can be canceled. Running jobs cannot be stopped. Returns the job status after the attempt. If the job is not pending, returns 409 with the current status unchanged.
POST
/
queue
/
cancel
Cancel a queued job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Cancel request
Response
Successfully canceled
Status returned after a cancel attempt.
Job status after the cancel attempt. Only pending jobs can be canceled. If the job is already running, done, or failed, the status is returned unchanged.
Available options:
canceled, running, done, failed Was this page helpful?
⌘I